package com.uvigo.mhp.textPanel;

import com.uvigo.mhp.*;
import com.uvigo.mhp.ui.DelayedTimeModeEditor;
import java.beans.*;

public class TextPanelBeanInfo extends SimpleBeanInfo
{
    public BeanDescriptor getBeanDescriptor()
    {
        BeanDescriptor bd=new BeanDescriptor(TextPanel.class);
        return(bd);
    }
    
    public PropertyDescriptor[] getPropertyDescriptors()
    {
        try
        {
            PropertyDescriptor pd1 = new PropertyDescriptor("configurationFile", TextPanel.class);
            PropertyDescriptor pd2 = new PropertyDescriptor("background", TextPanel.class);
            PropertyDescriptor pd3 = new PropertyDescriptor("foreground", TextPanel.class);
            PropertyDescriptor pd4 = new PropertyDescriptor("opaque", TextPanel.class);
            PropertyDescriptor pd5 = new PropertyDescriptor("context", TextPanel.class);
            PropertyDescriptor pd6 = new PropertyDescriptor("contextManager", TextPanel.class);
            PropertyDescriptor pd7 = new PropertyDescriptor("name", TextPanel.class);
            PropertyDescriptor pd8 = new PropertyDescriptor("delayedTimeMode", TextPanel.class);
            PropertyDescriptor pd9 = new PropertyDescriptor("delayedTime", TextPanel.class);
            pd1.setBound(true);
            pd2.setBound(true);
            pd3.setBound(true);
            pd4.setBound(true);
            pd5.setBound(true);
            pd6.setBound(true);
            pd7.setBound(true);
            pd8.setBound(true);
            pd8.setPropertyEditorClass(DelayedTimeModeEditor.class);
            pd9.setBound(true);
            return new PropertyDescriptor[]
            {pd1, pd2, pd3, pd4, pd5, pd6, pd7, pd8, pd9};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public EventSetDescriptor[] getEventSetDescriptors()
    {
        try
        {
            EventSetDescriptor ed1 = new EventSetDescriptor(
            TextPanel.class, "context", ContextListener.class,
            new String[]
            {"contextChanged", "subcontextEntered"}, "addContextListener", "removeContextListener");
            
            return new EventSetDescriptor[]
            {ed1};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public java.awt.Image getIcon(int iconKind)
    {
        return null;
        // 	if (iconKind == ICON_COLOR_16x16 || iconKind == ICON_MONO_16x16)
        // 	    return loadImage("flexlabel16x16.gif");
        // 	else
        // 	    return loadImage("flexlabel32x32.gif");
    }
}
